package com.yn.bftl.thirdparty.common.util;

import org.springframework.util.DigestUtils;

import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Random;

/**
 * 字符串工具类
 * @author chendehuihuo
 * @date 2021/11/15
 */
public class StringUtil {

    /**
     * 获取随机字符串
     *
     * @return 随机字符串
     */
    public static String getRandomStr() {
        //随机数数组
        char[] CHARS = {
                '2', '3', '4', '5', '6', '7', '8', '9',
                'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'j', 'k', 'm',
                'n', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z',
                'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M',
                'N', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'
        };
        Random random = new Random();
        StringBuilder buffer = new StringBuilder();
        for (int i = 0; i < 32; i++) {
            buffer.append(CHARS[random.nextInt(CHARS.length)]);
        }
        return buffer.toString();
    }

    /**
     * md5加密
     *
     * @param plainText
     * @return
     */
    public static String toMD5(String plainText) {
        return DigestUtils.md5DigestAsHex(plainText.getBytes());
    }

}
